def loe_read(failinimi):
    read = []
    f = open(failinimi)

    for rida in f:
        read.append(rida.strip("\n"))
    
    f.close()
    return read

def peaaegu_samad(pikem, lyhem):
    if len(pikem) - len(lyhem) != 1:
        return None

    for i in range(len(pikem)):
        uus = pikem[:i] + pikem[i+1:]
        if uus == lyhem:
            return i
        
    return None
    

a = loe_read("a.txt")
b = loe_read("b.txt")

if len(a) > len(b):
    pikem = a
    lyhem = b
else:
    pikem = b
    lyhem = a
    
n = len(pikem)

for i in range(n):
    if i >= len(lyhem) or lyhem[i] != pikem[i]:
        print(i+1)

if a != b:    
    print()
    eemaldatav = peaaegu_samad(pikem, lyhem)
    if eemaldatav != None:
        if pikem == a:
            print("a.txt")
        else:
            print("b.txt")
        print(eemaldatav+1)
    else:
        print("Failide ühtlustamiseks rea eemaldamisest ei piisa")
